<template>
  <div class="card-group">
    <div class="card-group-content" :class="{ warm: modSwitchType === 'on' }">
      <slot name="content" />
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  name: 'card-group',
  computed: {
    ...mapGetters(['modSwitchType'])
  }
};
</script>

<style lang="scss" scoped>
.card-group {
  width: 100%;
  display: flex;
  position: relative;
  justify-content: center;
  // background-color: transparent;
  .warm {
    box-shadow: 0 9px 21px 3px rgba(255, 108, 0, 0.05);
  }
  &-content {
    // background-image: url('~@assets/img/bottom_bg.png');
    background-color: rgba(243, 248, 255, 1);
    background-size: cover;
    display: flex;
    width: 1026px;
    height: auto;
    border-radius: 36px;
    box-shadow: 0 9px 21px 3px rgba(0, 85, 255, 0.05);
  }
}
</style>
